// Laryssa Carvalho de Amaral
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

void igual(char palavra[80], char palavra2[80]){
    int i;
    if(strlen(palavra) == strlen(palavra2)){
        for(i = 0; i < strlen(palavra); i++){
            if(palavra[i] != palavra2[i]){
                printf("Nao sao iguais\n");
                return;
            }
        }
        printf("Sao iguais\n");
        return;
    }else{
        printf("Nao sao iguais\n");
        return;
    }
}

void substring(char palavra[80], char palavra2[80]){
    int i, j;
    if(strlen(palavra2) <= strlen(palavra)){

        for(j = 0; j <= strlen(palavra) - strlen(palavra2); j++){
            for(i = 0; i < strlen(palavra); i++){

            }
        }

        printf("Eh substring\n");
    }else{
        printf("Nao eh substring\n");
    }
}

int main(){
    char palavra[80], palavra2[80];

    scanf("%s", palavra);
    scanf("%s", palavra2);
    igual(palavra,palavra2);
    substring(palavra,palavra2);
}
